{
    "configurations": [
      {
        "name": "windows-gcc-x86",
        "includePath": [
          "${workspaceFolder}/**",
          "${workspaceFolder}/Code/base/Inc",        
          "${workspaceFolder}/Code/device/Inc",        
          // "${workspaceFolder}/Code/libraries/Inc",        
          "${workspaceFolder}/Code/port/**",        
          "${workspaceFolder}/Core/Inc",     
          "${workspaceFolder}/Drivers/**",
          "${workspaceFolder}/Middlewares/Third_Party/**",    
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/**",    
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/font",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/img",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/port",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/core",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/draw",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/draw/arm2d",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/draw/nxp",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/draw/nxp/pxp",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/draw/nxp/vglite",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/draw/renesas",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/draw/sdl",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/draw/stm32_dma2d",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/draw/sw",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/draw/swm341_dma2d",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/layouts",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/layouts/flex",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/layouts/grid",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/libs",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/libs/bmp",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/libs/ffmpeg",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/libs/freetype",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/libs/fsdrv",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/libs/gif",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/libs/png",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/libs/qrcode",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/libs/rlottie",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/libs/sjpg",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/others",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/others/fragment",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/others/gridnav",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/others/ime",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/others/imgfont",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/others/monkey",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/others/msg",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/others/snapshot",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/themes",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/themes/basic",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/themes/default",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/themes/mono",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/animimg",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/calendar",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/chart",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/colorwheel",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/imgbtn",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/keyboard",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/led",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/list",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/menu",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/meter",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/msgbox",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/span",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/spinbox",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/spinner",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/tabview",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/tileview",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/extra/widgets/win",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/font",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/hal",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/misc",
          // "${workspaceFolder}/Middlewares/Third_Party/lvgl/src/widgets",
          "${workspaceFolder}/Middlewares/Third_Party/FreeRTOS/Source/include",
          "${workspaceFolder}/Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS_V2",
          "${workspaceFolder}/Middlewares/Third_Party/easylogger/**",
          "${workspaceFolder}/Middlewares/Third_Party/FreeModbus/include"
  
   
        ],
        "defines": [
          "_DEBUG",
          "UNICODE",
          "_UNICODE",
          "_DUSE_HAL_DRIVER",
          "_DSTM32F407xx"
        ],
        "compilerPath": "D:/MinGW/bin/gcc.exe",
        "cStandard": "${default}",
        "cppStandard": "${default}",
        "intelliSenseMode": "windows-gcc-x86",
        "mergeConfigurations": false,
        "browse": {
          "path": [
            "${workspaceFolder}/**"
          ],
          "limitSymbolsToIncludedHeaders": true
        },
        "configurationProvider": "ms-vscode.makefile-tools"
      }
    ],
    "version": 4
  }